Bug 677 - Klook flips vertical photos
: Klook flips vertical photos
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
: ROSA 2012.1 Release
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 22:24 MSD by Postnikov Dmitry
Modified: 2012-12-08 17:02 MSK (History)
3 users (show)

See Also:
RPM Package: klook-1.0-2-rosa.lts2012.0.x86_64
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
Screen 1 (670.93 KB, image/png)
2012-08-19 22:24 MSD, Postnikov Dmitry
Details
Screen 2 (908.47 KB, image/png)
2012-08-19 22:24 MSD, Postnikov Dmitry
Details
Screen 3 (688.77 KB, image/png)
2012-08-19 22:37 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2012-08-19 22:24:04 MSD
Created attachment 479 [details]
Screen 1

Description of problem:
ROSA 2012 RP1 iso 394th
Klook flips vertical photos in plain view mode and full screen mode.
Attachment Screen 1 - Normal vertical photo
Attachment Screen 2 - Flips vertical photo in plain view mode


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Postnikov Dmitry 2012-08-19 22:24:19 MSD
Created attachment 480 [details]
Screen 2
Comment 2 Postnikov Dmitry 2012-08-19 22:37:17 MSD
Created attachment 481 [details]
Screen 3

Similarly, when viewed in StackFolder.
Comment 3 Sergey Borovkov 2012-08-20 15:57:05 MSD
Advisory:
Package klook-1.0-4 fixes this bug. Now exif is used to determine photo's orientation.

Buildlists:
https://abf.rosalinux.ru/build_lists/687340
https://abf.rosalinux.ru/build_lists/687341
Comment 4 Vladimir Potapov 2012-08-21 11:00:54 MSD
klook-1.0-4-rosa.lts2012.0
**************** Advisory ****************
 Now exif is used to determine photo's orientation.
******************************************
QA Verified
Comment 5 Postnikov Dmitry 2012-12-08 15:17:52 MSK
The problem recurs in ROSA2012.1
klook-2.0-6-rosa2012.1.x86_64
Comment 6 Vladimir Potapov 2012-12-08 17:02:17 MSK
new bug, please!